# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/


Name:    nagios-plugins-check_zpools
Version: 20230928gitac484b1
Release: 1.ndias%{?dist}
Summary: Plugin to monitor ZFS Pools (zpools)

License: GPLv2
URL:     https://www.claudiokuenzler.com/monitoring-plugins/check_zpools.php
Source0: https://github.com/Napsty/check_zpools/archive/refs/heads/master.zip#/check_zpools-master.zip
BuildArch: noarch

%description
This plugin was created to monitor the usage and status of ZFS Pools (zpools).
The code was based on the plugin "Check Solaris ZFS Pools" but was completely
rewritten in order to allow running the plugin on multiple OS.

The plugin supports a warning and a critical threshold for the usage (similar
to disk usage) on the ZFS Pool. If one of the disks in the ZFS Pool is set to
DEGRADED, the plugin will return a CRITICAL status.

%prep
%setup -q -n check_zpools-master


%build


%install
install -p -m 755 -D check_zpools.sh %{buildroot}%{_libdir}/nagios/plugins/check_zpools.sh


%files
%doc README.md
%license LICENSE

%{_libdir}/nagios/plugins/check_zpools.sh

%changelog
* Thu Sep 28 2023 Nuno Dias <Nuno.Dias@gmail.com> - 20230928gitac484b1-1.ndias
- Version 
* Wed Sep 27 2023 Nuno Dias <Nuno.Dias@gmail.com> - 20230927gitb3093cf-1.ndias
- Version gitb3093cf

